#######################################################
# 効果
#
# Shin.Onda 2023/08//26 all rights reserved.
#
#######################################################
import cv2
import numpy as np
from createcanvas import CreateCanvas

class ImageEffect :

    ######################################
    # ぼかし(static)
    # パラメータ
    #   img   = イメージ
    #   value = 強度(カーネルサイズ)
    # 戻り値 イメージ
    ######################################
    def blur(img, value) :
        newImage = cv2.blur(img, ksize=(value, value))
        return newImage

    ######################################
    # ノイズ(static)
    # パラメータ
    #   img   = イメージ
    #   value = 強度(アルファ%)
    # 戻り値 イメージ
    ######################################
    def noise(img, value) :
        h, w, c = img.shape
        beta = value / 100.0
        noise = CreateCanvas.create(h, w, 'R')
        newImage = cv2.addWeighted(src1=img, alpha=(1-beta), src2=noise, beta=beta, gamma=0)
        return newImage
